package com.zd.airbottle.mapper;

import java.util.List;
import com.zd.airbottle.domain.AlarmRecord;

/**
 * 报警记录Mapper接口
 */
public interface AlarmRecordMapper 
{
    /**
     * 查询报警记录
     * 
     * @param id 报警记录主键
     * @return 报警记录
     */
    AlarmRecord selectAlarmRecordById(Long id);

    /**
     * 查询报警记录列表
     * 
     * @param alarmRecord 报警记录
     * @return 报警记录集合
     */
    List<AlarmRecord> selectAlarmRecordList(AlarmRecord alarmRecord);

    /**
     * 根据主键集合查询报警记录列表
     *
     * @param ids 主键集合
     * @return 报警记录集合
     */
    List<AlarmRecord> getListByIds(List<Long> ids);

    /**
     * 新增报警记录
     * 
     * @param alarmRecord 报警记录
     * @return 结果
     */
    int insertAlarmRecord(AlarmRecord alarmRecord);

    /**
     * 修改报警记录
     * 
     * @param alarmRecord 报警记录
     * @return 结果
     */
    int updateAlarmRecord(AlarmRecord alarmRecord);

    /**
     * 删除报警记录
     * 
     * @param id 报警记录主键
     * @return 结果
     */
    int deleteAlarmRecordById(Long id);

    /**
     * 批量删除报警记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAlarmRecordByIds(Long[] ids);
}
